=== navalplan/contrib/cutycapt/debian/changelog ===
cutycapt (20110107-2) lenny lucid maverick; urgency=low

  * Changing command to use "cutycapt" instead of "CutyCapt".

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 06 Jun 2011 19:34:22 +0200

cutycapt (20110107-1) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Updated to NavalPlan package naming.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 07 Jan 2011 10:35:17 +0100

cutycapt (20110104.1) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Fixed debian/rules thanks to a patch by Adrian Perez <aperez@igalia.com>.
  * Fixed several things in debian/control thanks to Alberto García
    <agarcia@igalia.com> comments.
  * Added debian/copyright file.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 04 Jan 2011 12:43:00 +0100

cutycapt (20110104) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Fixed build depedency on debian/control.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 04 Jan 2011 10:40:00 +0100

cutycapt (20110103) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Updated to upstream.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 03 Jan 2011 16:51:12 +0100

cutycapt (20100108) lenny squeeze intrepid karmic; urgency=low

  * Initial packaged release.

 -- Adrian Perez <aperez@igalia.com>  Fri, 08 Jan 2009 12:25:00 +0200
